Subject: bug#24938: 25.1; 25.1 slow cursor movement with Unicode on Windows

From: "Peromsik, Aaron" <[email-masked]>
Date: Sun, 13 Nov 2016 20:13:34 +0000

Emacs 25.1 on Windows, including the new optimized build, is much

slower than Emacs 24.5 was when navigating files which contain Unicode

characters such as ▩ .  Cursor movement noticeably stutters when using

arrow keys or typing on a line which contains that character. Just try

moving the cursor along the two lines below to see the difference:

Char: ▩ (9641, #o22651, #x25a9, file ...) point=299 of 4451 (7%) column=19

Char:  (9641, #o22651, #x25a9, file ...) point=299 of 4451 (7%) column=19

In GNU Emacs 25.1.1 (x86_64-w64-mingw32)

of 2016-11-10 built on LAPHROAIG

Windowing system distributor 'Microsoft Corp.', version 6.1.7601

Configured using:

'configure --without-dbus --without-compress-install 'CFLAGS=-O2

-static''

Configured features:

XPM JPEG TIFF GIF PNG RSVG SOUND NOTIFY ACL GNUTLS LIBXML2 ZLIB

TOOLKIT_SCROLL_BARS

Important settings:

  value of $LANG: C

  locale-coding-system: cp1252

Major mode: Text

Minor modes in effect:

  midnight-mode: t

  auto-image-file-mode: t

  diff-auto-refine-mode: t

  shell-dirtrack-mode: t

  display-time-mode: t

  tooltip-mode: t

  global-eldoc-mode: t

  electric-indent-mode: t

  mouse-wheel-mode: t

  tool-bar-mode: t

  menu-bar-mode: t

  file-name-shadow-mode: t

  global-font-lock-mode: t

  font-lock-mode: t

  blink-cursor-mode: t

  auto-composition-mode: t

  auto-encryption-mode: t

  auto-compression-mode: t

  line-number-mode: t

  auto-fill-function: do-auto-fill

  transient-mark-mode: t

Recent messages:

Loading magit-autorevert...done

Loading midnight...done

Loading paren...done

0 buffers purged

For information about GNU Emacs and the GNU system, type C-h C-a.

GNU Emacs 25.1.1 (x86_64-w64-mingw32) of 2016-11-10

d:/home/peromsik/fixes/41regp30/tha_bas_assmcut_bf02_p20/p30ntmp/std.out

Mark saved where search started [2 times]

d:/home/peromsik/fixes/41regp30/tha_bas_assmcut_bf02_p20/p30imr/std.out

Mark saved where search started [2 times]

Load-path shadows:

None found.

Features:

(shadow sort mail-extr emacsbug message format-spec rfc822 mml mml-sec

password-cache epg gnus-util mm-decode mm-bodies mm-encode mail-parse

rfc2231 mailabbrev gmm-utils mailheader sendmail rfc2047 rfc2045

ietf-drums mm-util help-fns mail-prsvr mail-utils dired-aux misearch

multi-isearch org-install esh-var esh-io esh-cmd esh-opt esh-ext

esh-proc esh-arg esh-groups eshell esh-module esh-mode esh-util

jka-compr paren midnight magit-autorevert autorevert filenotify

magit-git cl-seq crm magit-section magit-utils dash ido icomplete

image-file cus-start cus-load server ps-print ps-def lpr diff-mode

easy-mmode grep compile ediff-merg ediff-wind ediff-diff ediff-mult

ediff-help ediff-init ediff-util ediff ccase ptctags ptcsrc warnings

advice dired-x dired ptc-comment aap-autoload shell pcomplete comint

ansi-color ring cc-mode cc-fonts cc-guess cc-menus cc-cmds cc-styles

cc-align cc-engine cc-vars cc-defs time finder-inf go-mode-autoloads

info package epg-config seq byte-opt gv bytecomp byte-compile cl-extra

help-mode easymenu cconv cl-loaddefs pcase cl-lib time-date mule-util

tooltip eldoc electric uniquify ediff-hook vc-hooks lisp-float-type

mwheel dos-w32 ls-lisp disp-table w32-win w32-vars term/common-win

tool-bar dnd fontset image regexp-opt fringe tabulated-list newcomment

elisp-mode lisp-mode prog-mode register page menu-bar rfn-eshadow timer

select scroll-bar mouse jit-lock font-lock syntax facemenu font-core

frame cl-generic cham georgian utf-8-lang misc-lang vietnamese tibetan

thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek romanian

slovak czech european ethiopic indian cyrillic chinese charscript

case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer

cl-preloaded nadvice loaddefs button faces cus-face macroexp files

text-properties overlay sha1 md5 base64 format env code-pages mule

custom widget hashtable-print-readable backquote w32notify w32 multi-tty

make-network-process emacs)

Memory information:

((conses 16 255848 15149)

(symbols 56 33020 0)

(miscs 48 127 185)

(strings 32 77739 8844)

(string-bytes 1 2075782)

(vectors 16 27303)

(vector-slots 8 674830 18474)

(floats 8 473 135)

(intervals 56 1273 1083)

(buffers 976 70))